Expand AI logo
DocsAPI ReferenceAPI Reference
Glow Active
Login

API Reference

Getting Started

API ReferenceErrors

Endpoints

FetchFetch JSON ModeStart Batched FetchGet Batched StatusCancel Batched FetchGet CatalogSnapshot Highlights
Browse docs

Getting Started

API ReferenceErrors

Endpoints

FetchFetch JSON ModeStart Batched FetchGet Batched StatusCancel Batched FetchGet CatalogSnapshot Highlights

Cancel Batched Fetch

POST
/v1/fetch/batched/{id}/cancel

Request cancellation. QUEUED work is cancelled immediately; CANCELLING means running work is draining. Repeated cancellation is idempotent.

Authorization

x-expand-api-key<token>

In: header

Path Parameters

id*nonEmptyString
Length1 <= length

Response Body

application/json

application/json

Empty

a non empty string

application/json

application/json

application/json

application/json

application/json

application/json

{
  "id": "string",
  "status": "CANCELLING"
}
{
  "issues": [
    {
      "_tag": "Pointer",
      "path": [
        "string"
      ],
      "message": "string"
    }
  ],
  "

{
  "reason": "InvalidApiKey",
  "description": "string",
  "_tag": "AuthFailed"
}
{
  "id": "string",
  "status": "COMPLETED",
  "_tag": "BatchedCancellationConflict"
}
{
  "_tag": "PayloadTooLarge"
}
{
  "retryable": true,
  "retryAfterSeconds": 0,
  "_tag": "TooManyRequests"
}
{
  "retryable": true,
  "_tag": "InternalError"
}
{
  "message": "string",
  "requestId": "string",
  "dispatchOutcome": "cancelled_before_start",
  "retryable": true,
  "_tag": 
message
"
:
"string"
,
"_tag": "HttpApiDecodeError"
}
"ServiceUnavailable"
}